Subject: Re: [net-next PATCH] pktgen: add flag NO_TIMESTAMP to disable timestamping

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 29 Aug 2014 21:02:54 +0200

On Fri, 29 Aug 2014 09:17:06 -0700
Eric Dumazet <[email-masked]> wrote:

> On Thu, 2014-08-28 at 18:14 +0200, Jesper Dangaard Brouer wrote:
> > Then testing the TX limits of the stack, then it is useful to
> > be-able to disable the do_gettimeofday() timetamping on every packet.
> > 
> > This implements a pktgen flag NO_TIMESTAMP which will disable this
> > call to do_gettimeofday().
> > 
> > The performance change on (my system E5-2695) with skb_clone=0, goes
> > from TX 2,423,751 pps to 2,567,165 pps with flag NO_TIMESTAMP. Thus,
> > the cost of do_gettimeofday() or saving is approx 23 nanosec.
> 
> I guess using local_clock() would provide an accurate and less expensive
> timestamp, if a timestamp is needed.

Sure, but I don't need this timestamp, thus I added an option to disable it.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Sr. Network Kernel Developer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer